ti-enxame.com

Como instalar o Mono recente em uma distro do Linux diferente de SUSE (I.S. Debian / Ubuntu)?

Como se refere a instalar uma versão recente de Mono em uma distro do Linux que não seja o SUSE da Novell?

http://www.mono-project.com/main_page promete um download "linux", mas "apenas" oferecem downloads para o SUSE e links para versões desatualizadas de Mono (<versão 2).

Eu tenho um compilador e não tenho medo de usá-lo ... mas me sentiria muito melhor se alguém pudesse me apontar para um " Howto Instalar mono em Debian/Ubuntu "Descrição ou mostre-me onde baixar um .deb de uma versão recente.

9
lexu

Tempo resolvido meu problema para mim ... Mono está agora no Ubuntu

O Ubuntu 9.10 tem pacotes instaláveis ​​para mono, incluindo algumas ferramentas de integração que tornam assemblies (thingy.exe) utilizáveis ​​do CLI


Graças a todos que lascavam com respostas e sugestões.

3
lexu

De http://www.mono-project.com/other_downloads :

Mono está disponível na atual liberação do Debian estável e em versões posteriores. Para desenvolver software com mono, instale o mono-devel pacote em etch (4.0) usando aptitude ou gerenciador de pacotes semelhante.

Então apenas apt-get install mono-devel, talvez?

Atualização: a versão do mono que você terá do Ubuntu 8.04 é 1.2.6 , enquanto você provavelmente está procurando para 2.0.1, que vem com 9,04 . Provavelmente sua melhor aposta é atualizar para o jaunty. Há uma possibilidade que o download do jaunty .deb e instalá-lo em sua máquina funcionará, mas eu não apostaria nisso.

5
Sophie Alpert

Para o Ubuntu, muitos mais pacotes atualizados estão disponíveis usando os arquivos de pacotes pessoais no LaunchPad.net.

Se você estiver usando o Ubuntu 8.04 (Hardy), o mais relevante parece ser https://launchpad.net/~mono-ge/+archive/ppa

Se você quiser o mono da borda muito sangrada, então há um PPA de teste mono com mono 2.4 em https://launchpad.net/~mo-testing/+archive/ppa

Para instalar pacotes de um PPA e obter atualizações para eles, siga estas instruções .

3
Hamish Downer

Se você quiser usar a versão mais recente do mono em uma versão de suporte a longo prazo mais antiga (por exemplo, o Ubuntu, você pode adicionar os repositórios oficiais de backports para /etc/apt/sources.list e simplesmente instalar com o apt-get.

Parece que o mono ainda não estava recuado para 8.04, olhando para a lista da ThePackages http://packages.ubuntu.com/hardy-backports/allpackages

No entanto, você pode simplesmente solicite um backport . Há uma boa chance de ser adicionado para você.

0
amarillion

Eu mesmo não consegui obter o mais recente mono instalado a partir de pacotes ainda, mas eu tenho um bom tutorial para construir a última mono da fonte no ubuntu : instalar mono 2.4 da fonte no ubunt

0
rusvdw

O Fedora 11 está programado para ser lançado em 6/9/09 e incluirá mono 2.4. Experimentar

yum search mono

para ver quais pacotes estão disponíveis após a instalação.

0
dkaylor

o mono 2.4.2.3 está no Debian Sid (distinst dist) no momento, e Mono 2.4 está no Debian Squeeze (teste).

você pode adicionar linhas a suas fontes. Lista para testes ou distribuição instável (ou ambos), e definir as regras prioritárias do APT para usar somente estável, a menos que você solicite explicitamente um pacote de testes ou instalações instáveis ​​(por exemplo, "APT-GET mono-2.0-devel "- isso instalará o develo mono-2.0 de instável junto com todas as dependências versionadas)

embora seja possível - de fato, muito fácil - ter um sistema principalmente- "estável" com apenas um punhado de pacotes de testes ou instáveis, IMO se você quiser acompanhar a borda de sangramento do software, então você é melhor apenas Atualizando para o Debian instável do que furar com estável e obter o hábito de executar a semi-regularmente "apt-get dist-upgrade". Será menos aborrecimento e haverá menos incompatibilidades estranhas e outras esquisities (tem sido minha experiência usando Debian nos últimos 15 anos, de qualquer maneira)

o mesmo se aplica ao Ubuntu também, embora com o lançamento 6-mensal do Ubuntu, você não precisa esperar tanto tempo para atualizar para o próximo lançamento suportado ao fazer no Debian.

0
cas